<?php
function gdi_get_current_theme_author(){
    $current_theme = wp_get_theme();
    return $current_theme->get('Author');
}
function gdi_check_activated(){
    $pluginList = get_option( 'active_plugins' );
    $gdi = 'advanced-import/advanced-import.php'; 
    $checkPlugin = in_array( $gdi , $pluginList );
    // print_r($checkPlugin);
    return $checkPlugin;
}
function gdi_file_exists(){
    $gdi = 'advanced-import/advanced-import.php'; 
    $pathpluginurl = WP_PLUGIN_DIR .'/'. $gdi;
    $isinstalled = file_exists( $pathpluginurl );
    return $isinstalled;
}
function gdi_get_current_theme_slug(){
    $current_theme = wp_get_theme();
    return $current_theme->stylesheet;
}
function gdi_get_theme_screenshot(){
    $current_theme = wp_get_theme();
    return $current_theme->get_screenshot();
}
function gdi_get_theme_name(){
    $current_theme = wp_get_theme();
    return $current_theme->get('Name');
}

function gdi_get_templates_lists( $theme_slug ){
    switch ( $theme_slug ):    
        case "wpgutenblog":
            $demo_templates_lists = array(

                'free-1' =>array(
                    'title' => __( 'WP Gutenblog Free 1', 'gutenblog-demo-import' ),/*Title*/
                    'is_pro' => false,  /*Premium*/
                    'type' => 'normal',
                    'author' => __( 'wpgutenblog', 'gutenblog-demo-import' ),    /*Author Name*/
                    'keywords' => array( 'WP Gutenblog'),  /*Search keyword*/
                    'categories' => array( 'wpgutenblog' ), /*Categories*/
                    'template_url' => array(
                        'content' => GDI_TEMPLATE_URL.'/wpgutenblog/free-1/content.json',
                        'options' => GDI_TEMPLATE_URL.'/wpgutenblog/free-1/options.json',
                        'widgets' => GDI_TEMPLATE_URL.'/wpgutenblog/free-1/widgets.json'
                    ),
                    'screenshot_url' => GDI_TEMPLATE_URL.'/wpgutenblog/free-1/screenshot.jpg',
                    'demo_url' => '',
                    'plugins' => 'gutentor'
                ),

                'free-2' =>array(
                    'title' => __( 'WP Gutenblog Free 2', 'gutenblog-demo-import' ),/*Title*/
                    'is_pro' => false,  /*Premium*/
                    'type' => 'normal',
                    'author' => __( 'wpgutenblog', 'gutenblog-demo-import' ),    /*Author Name*/
                    'keywords' => array( 'WP Gutenblog'),  /*Search keyword*/
                    'categories' => array( 'wpgutenblog' ), /*Categories*/
                    'template_url' => array(
                        'content' => GDI_TEMPLATE_URL.'/wpgutenblog/free-2/content.json',
                        'options' => GDI_TEMPLATE_URL.'/wpgutenblog/free-2/options.json',
                        'widgets' => GDI_TEMPLATE_URL.'/wpgutenblog/free-2/widgets.json'
                    ),
                    'screenshot_url' => GDI_TEMPLATE_URL.'/wpgutenblog/free-2/screenshot.jpg',
                    'demo_url' => '',
                    'plugins' => 'gutentor'
                ),


                'pro-1' =>array(
                    'title' => __( 'WP Gutenblog Pro 1', 'gutenblog-demo-import' ),/*Title*/
                    'is_pro' => true,  /*Premium*/
                    'pro_url' => '',
                    'type' => 'normal',
                    'author' => __( 'wpgutenblog', 'gutenblog-demo-import' ),    /*Author Name*/
                    'keywords' => array( 'WP Gutenblog'),  /*Search keyword*/
                    'categories' => array( 'wpgutenblog' ), /*Categories*/
                    'template_url' => array(
                        'content' => GDI_TEMPLATE_URL.'/wpgutenblog/pro-1/content.json',
                        'options' => GDI_TEMPLATE_URL.'/wpgutenblog/pro-1/options.json',
                        'widgets' => GDI_TEMPLATE_URL.'/wpgutenblog/pro-1/widgets.json'
                    ),
                    'screenshot_url' => GDI_TEMPLATE_URL.'/wpgutenblog/pro-1/screenshot.jpg',
                    'demo_url' => '',
                    'plugins' => 'gutentor'
                ),

                'pro-2' =>array(
                    'title' => __( 'WP Gutenblog Pro 2', 'gutenblog-demo-import' ),/*Title*/
                    'is_pro' => true,  /*Premium*/
                    'pro_url' => '',
                    'type' => 'normal',
                    'author' => __( 'wpgutenblog', 'gutenblog-demo-import' ),    /*Author Name*/
                    'keywords' => array( 'WP Gutenblog'),  /*Search keyword*/
                    'categories' => array( 'wpgutenblog' ), /*Categories*/
                    'template_url' => array(
                        'content' => GDI_TEMPLATE_URL.'/wpgutenblog/pro-2/content.json',
                        'options' => GDI_TEMPLATE_URL.'/wpgutenblog/pro-2/options.json',
                        'widgets' => GDI_TEMPLATE_URL.'/wpgutenblog/pro-2/widgets.json'
                    ),
                    'screenshot_url' => GDI_TEMPLATE_URL.'/wpgutenblog/pro-2/screenshot.jpg',
                    'demo_url' => '',
                    'plugins' => 'gutentor'
                ),

                'pro-3' =>array(
                    'title' => __( 'WP Gutenblog Pro 3', 'gutenblog-demo-import' ),/*Title*/
                    'is_pro' => true,  /*Premium*/
                    'pro_url' => '',
                    'type' => 'normal',
                    'author' => __( 'wpgutenblog', 'gutenblog-demo-import' ),    /*Author Name*/
                    'keywords' => array( 'WP Gutenblog'),  /*Search keyword*/
                    'categories' => array( 'wpgutenblog' ), /*Categories*/
                    'template_url' => array(
                        'content' => GDI_TEMPLATE_URL.'/wpgutenblog/pro-3/content.json',
                        'options' => GDI_TEMPLATE_URL.'/wpgutenblog/pro-3/options.json',
                        'widgets' => GDI_TEMPLATE_URL.'/wpgutenblog/pro-3/widgets.json'
                    ),
                    'screenshot_url' => GDI_TEMPLATE_URL.'/wpgutenblog/pro-3/screenshot.jpg',
                    'demo_url' => '',
                    'plugins' => 'gutentor'
                ),

                

            );
            break;    
        default:
            $demo_templates_lists = array();
    endswitch;

    return $demo_templates_lists;

}


if ( gdi_fs()->can_use_premium_code() ) {
    add_action( 'advanced_import_is_pro_active','gdi_set_active' );
    function gdi_set_active( $is_pro_active ) {
        return true;
    }
}
